spring:
  servlet:
  multipart:
    enabled: true #默认支持文件上传
    max-file-size: 50MB  #不做限制
    max-request-size: 50MB  #不做限制

  datasource:
    driver-class-name: com.p6spy.engine.spy.P6SpyDriver
    url: jdbc:p6spy:mysql://127.0.0.1:3306/ddxhs?useSSL=false&autoReconnect=true&useUnicode=true&characterEncoding=utf-8&serverTimezone=GMT%2B8
    username: root
    password: admin

  jackson:
    #配置日期返回格式
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
dd:
  uploadPath: c:/ddStore/

knife4j:
  enable: true
#here is the importance configs of JWT
jwt:
  header: Authorization #请求头权限标识
  expiration: 2592000 #7天 604800 30天2,592,000  60*60*24*365
  secret: security
  # 配置不需要认证的接口
  ignores:
    # 需要过滤的 post 请求
    post:
      - "/admin/login/**"
    # 需要过滤的 get 请求
    get:
      - "/favicon.ico"
    # 需要过滤的请求，不限方法
    pattern:
      - "/api/**"
      - "/dev/**"
      - "/appUpload/**"
      - "/upload/**"
      - "/appUpload/**"
      - "/doc.html"
      - "/swagger-resources/**"
      - "/v2/api-docs/**"
      - "/webjars/**"
      - "/**.txt"
#================================================= mybatis-plus start =================================================
mybatis-plus:
  #配置文件
  mapper-locations: classpath*:com/dd/admin/system/*/mapper/xml/*Mapper.xml,com/dd/admin/business/*/mapper/xml/*Mapper.xml
  configuration:
    log-impl:
#    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
#================================================= mybatis-plus end ===================================================

server:
  port: 8081

tio:
  websocket:
    server:
      port: 9326
      heartbeat-timeout: 20000
    # 集群配置 默认关闭
    cluster:
      enabled: false
      # 集群是通过redis的Pub/Sub实现，所以需要配置Redis
      redis:
        ip: 127.0.0.1
        port: 6379
      all: true
      group: true
      ip: true
      user: true
